#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 wai-extra
version:              3.0.29.2
visibility:           public
id:                   wai-extra-3.0.29.2-9KVpnNCEWKy3wOkz9Vmc8w
key:                  wai-extra-3.0.29.2-9KVpnNCEWKy3wOkz9Vmc8w
license:              MIT
maintainer:           michael@snoyman.com
author:               Michael Snoyman
stability:            Stable
homepage:             http://github.com/yesodweb/wai
synopsis:             Provides some basic WAI handlers and middleware.
description:
    Provides basic WAI handler and middleware functionality:

    * WAI Testing Framework

    Hspec testing facilities and helpers for WAI.

    * Event Source/Event Stream

    Send server events to the client. Compatible with the JavaScript
    EventSource API.

    * Accept Override

    Override the Accept header in a request. Special handling for the
    _accept query parameter (which is used throughout WAI override the
    Accept header).

    * Add Headers

    WAI Middleware for adding arbitrary headers to an HTTP request.

    * Clean Path

    Clean a request path to a canonical form.

    * GZip Compression

    Negotiate HTTP payload gzip compression.

    * HTTP Basic Authentication

    WAI Basic Authentication Middleware which uses Authorization header.

    * JSONP

    \"JSON with Padding\" middleware. Automatic wrapping of JSON
    responses to convert into JSONP.

    * Method Override / Post

    Allows overriding of the HTTP request method via the _method query string
    parameter.

    * Request Logging

    Request logging middleware for development and production environments

    * Request Rewrite

    Rewrite request path info based on a custom conversion rules.

    * Stream Files

    Convert ResponseFile type responses into ResponseStream type.

    * Virtual Host

    Redirect incoming requests to a new host based on custom rules.


    API docs and the README are available at <http://www.stackage.org/package/wai-extra>.

category:             Web
abi:                  74ed23abb520771377facfee6d7dd036
exposed:              True
exposed-modules:
    Network.Wai.EventSource Network.Wai.EventSource.EventStream
    Network.Wai.Handler.CGI Network.Wai.Handler.SCGI Network.Wai.Header
    Network.Wai.Middleware.AcceptOverride
    Network.Wai.Middleware.AddHeaders Network.Wai.Middleware.Approot
    Network.Wai.Middleware.Autohead Network.Wai.Middleware.CleanPath
    Network.Wai.Middleware.ForceDomain Network.Wai.Middleware.ForceSSL
    Network.Wai.Middleware.Gzip Network.Wai.Middleware.HttpAuth
    Network.Wai.Middleware.Jsonp Network.Wai.Middleware.Local
    Network.Wai.Middleware.MethodOverride
    Network.Wai.Middleware.MethodOverridePost
    Network.Wai.Middleware.RequestLogger
    Network.Wai.Middleware.RequestLogger.JSON
    Network.Wai.Middleware.Rewrite Network.Wai.Middleware.Routed
    Network.Wai.Middleware.StreamFile
    Network.Wai.Middleware.StripHeaders Network.Wai.Middleware.Timeout
    Network.Wai.Middleware.Vhost Network.Wai.Parse Network.Wai.Request
    Network.Wai.Test Network.Wai.Test.Internal Network.Wai.UrlMap

hidden-modules:       Network.Wai.Middleware.RequestLogger.Internal
import-dirs:          /usr/lib/ghc-8.10.1/site-local/wai-extra-3.0.29.2
library-dirs:         /usr/lib/ghc-8.10.1/site-local/wai-extra-3.0.29.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.1/wai-extra-3.0.29.2
hs-libraries:         HSwai-extra-3.0.29.2-9KVpnNCEWKy3wOkz9Vmc8w
depends:
    aeson-1.5.3.0-otLRtC5gX1JmoTwFxL1re
    ansi-terminal-0.10.3-uz3rqV2qrpKTwCWnkS9TH base-4.14.0.0
    base64-bytestring-1.1.0.0-8y61mVV5S4e9MKNrBj6koR
    bytestring-0.10.10.0
    case-insensitive-1.2.1.0-17g8Ym65LVq1lrsGTt1bIh containers-0.6.2.1
    cookie-0.4.5-6wiVaNkJelwF683ZPKo0AJ
    data-default-class-0.1.2.0-AZTcEqCsR4uCdCN1ROsSjZ deepseq-1.4.4.0
    directory-1.3.6.0 fast-logger-3.0.1-8Uo3LVHaHRkLSRrI2BK8BR
    http-types-0.12.3-LlnFOOm5Fd7Dp1PJ5RK1Tu
    http2-2.0.5-JAQw3vvgpaq5zE9nanQ6OD
    iproute-1.7.9-ChAh71EVv9YHk1OrRfT5oZ
    network-3.1.2.0-17TAgcOYpYlAVBy4dzi75o
    old-locale-1.0.0.7-He1fhgasqBf2zFT9zlaLle
    resourcet-1.2.4.2-HP3fHW3zHPxEiXAkUqWpCS
    streaming-commons-0.2.2.1-FHFx9Nbg2Dk7bwarBMafuK text-1.2.3.2
    time-1.9.3 transformers-0.5.6.2 unix-2.7.2.2
    unix-compat-0.5.2-LUrHZKGZjHj4senyv026n5
    vault-0.3.1.4-LpVz9CgQCk436ANeRvS5bC
    void-0.7.3-7Pw6De9DEFWGgZnJBlu5U9
    wai-3.2.2.1-EPGZ2cpBknv3M0iu14W8f2
    wai-logger-2.3.6-5WOzU6KvdAJ9MxVEgTngtU
    word8-0.1.3-2HAv1NwMSKOALyj2PF53yL
    zlib-0.6.2.2-3Q8sKS1AHSbHFXE17rneiO

haddock-interfaces:   /usr/share/doc/haskell-wai-extra/html/wai-extra.haddock
haddock-html:         /usr/share/doc/haskell-wai-extra/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

